Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1055194 - gcc: internal compiler error: Segmentation fault (program cc1)
Summary: gcc: internal compiler error: Segmentation fault (program cc1)
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc
Version: 20
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-19 14:46 UTC by Kuberboef
Modified: 2015-04-27 15:13 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-27 15:13:46 UTC


Attachments (Terms of Use)
Code I am trying to compile (deleted)
2014-01-19 14:46 UTC, Kuberboef
no flags Details

Description Kuberboef 2014-01-19 14:46:51 UTC
Created attachment 852403 [details]
Code I am trying to compile

Description of problem:
Get a segmentation fault when compiling sources.

gcc: internal compiler error: Segmentation fault (program cc1)
Please submit a full bug report,
with preprocessed source if appropriate.
See <http://bugzilla.redhat.com/bugzilla> for instructions

As debug went to kernel sources and executed "make menuconfig"
Same result.
3.12.7-300.fc20.x86_64]# make menuconfig
  HOSTCC  scripts/basic/fixdep
gcc: internal compiler error: Segmentation fault (program cc1)
Please submit a full bug report,
with preprocessed source if appropriate.
See <http://bugzilla.redhat.com/bugzilla> for instructions.
make[1]: *** [scripts/basic/fixdep] Error 4
make: *** [scripts_basic] Error 2


Version-Release number of selected component (if applicable):
gcc -v
Using built-in specs.
COLLECT_GCC=/bin/gcc
COLLECT_LTO_WRAPPER=/usr/libexec/gcc/x86_64-redhat-linux/4.8.2/lto-wrapper
Target: x86_64-redhat-linux
Configured with: ../configure --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --with-bugurl=http://bugzilla.redhat.com/bugzilla --enable-bootstrap --enable-shared --enable-threads=posix --enable-checking=release --with-system-zlib --enable-__cxa_atexit --disable-libunwind-exceptions --enable-gnu-unique-object --enable-linker-build-id --with-linker-hash-style=gnu --enable-languages=c,c++,objc,obj-c++,java,fortran,ada,go,lto --enable-plugin --enable-initfini-array --enable-java-awt=gtk --disable-dssi --with-java-home=/usr/lib/jvm/java-1.5.0-gcj-1.5.0.0/jre --enable-libgcj-multifile --enable-java-maintainer-mode --with-ecj-jar=/usr/share/java/eclipse-ecj.jar --disable-libjava-multilib --with-isl=/builddir/build/BUILD/gcc-4.8.2-20131212/obj-x86_64-redhat-linux/isl-install --with-cloog=/builddir/build/BUILD/gcc-4.8.2-20131212/obj-x86_64-redhat-linux/cloog-install --with-tune=generic --with-arch_32=i686 --build=x86_64-redhat-linux
Thread model: posix
gcc version 4.8.2 20131212 (Red Hat 4.8.2-7) (GCC)

How reproducible:
Every single time as above.

Steps to Reproduce:
1.cd /usr/src/kernels/3.12.7-300.fc20.x86_64
2.#make menuconfig
3.

Actual results:
HOSTCC  scripts/basic/fixdep
gcc: internal compiler error: Segmentation fault (program cc1)
Please submit a full bug report,
with preprocessed source if appropriate.
See <http://bugzilla.redhat.com/bugzilla> for instructions.
make[1]: *** [scripts/basic/fixdep] Error 4
make: *** [scripts_basic] Error 2


Expected results:
Menuconfig.

Additional info:

Fedora 20 x86_64 with rpmfusion enabled.
All updates as off "Sun Jan 19 16:33:17 SAST 2014" installed and applied without incident.
SElinux disabled

Comment 1 Marek Polacek 2015-02-12 14:40:13 UTC
Still an issue?

Comment 2 Kuberboef 2015-04-27 15:13:46 UTC
Nope


Note You need to log in before you can comment on or make changes to this bug.